Module java.naming
Package javax.naming.directory

## Class InvalidAttributeValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.directory.InvalidAttributeValueException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidAttributeValueException
      extends NamingException

  This class is thrown when an attempt is made to add to an attribute a value that conflicts with the attribute's schema definition. This could happen, for example, if attempting to add an attribute with no value when the attribute is required to have at least one value, or if attempting to add more than one value to a single valued-attribute, or if attempting to add a value that conflicts with the syntax of the attribute.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields declared in class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidAttributeValueException()` | Constructs a new instance of InvalidAttributeValueException.
    `InvalidAttributeValueException​(String explanation)` | Constructs a new instance of InvalidAttributeValueException using an explanation.

  - ### Method Summary

    - ### Methods declared in class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidAttributeValueException

          public InvalidAttributeValueException​(String explanation)

      Constructs a new instance of InvalidAttributeValueException using an explanation. All other fields are set to null.
      Parameters:
        `explanation` - Additional detail about this exception. Can be null.
      See Also:
        `Throwable.getMessage()`

    - #### InvalidAttributeValueException

          public InvalidAttributeValueException()

      Constructs a new instance of InvalidAttributeValueException. All fields are set to null.